%medan_listrik.m
clear;

%nilai awal
r=0;
R_0=2;
h=0.2;
ep_0=8.854e-12;
Q=2e2;
E=0;

%proses
for i=1:50
    x(i)=r;
    y(i)=E;
    if r < 2
       E=1/(4*pi*ep_0)*Q/R_0^2*r;
    else
       E=1/(4*pi*ep_0)*Q/r;
    end
    r=r+h;
end

%output
plot(x,y,'+-'); grid on;
title('Medan listrik bola'); xlabel('jarak(r)'); ylabel('Medan listrik(E)');