%peluruhan2.m
clear;

%ANALITIK
Na_0=5;
lambda=0.8;
ta=0:0.1:5;
Na=Na_0*exp(-lambda*ta);

%NUMERIK
tn=0;
h=0.1;
tmak=5;
N=tmak/h;
Nn=Na_0;
dn=-lambda*Nn;
xp(1)=tn;
yp(1)=Nn;
for i=2:N
    Nn=Nn+h*dn;
    dn=-lambda*Nn;
    tn=tn+h;
    xp(i)=tn;
    yp(i)=Nn;
end;

%PLOT
plot(ta,Na,'-ro',xp,yp,'-.+'); grid on; 
title('Peluruhan'); xlabel('t'); ylabel('N');
legend('analitik','numerik');