clear;
t=0;
tmak=4*pi;
h=0.1;
N=tmak/h;

tt=30/180*pi;
xe=tt; %posisi awal metode Euler
xr=tt; %posisi awal metode Runge-Kutta orde ke-4
v=0;
ve=v; %kecepatan sudut awal metode Euler
vr=v; %kecepatan sudut awal metode Runge-Kutta orde ke-4
g=9.8;
l=2;
a=-g/l*sin(tt);
ae=a; %percepatan sudut awal metode Euler
ar=a;  %percepatan sudut awal metode Runge-Kutta orde ke-4

%Metode Euler
for i=1:N
    %Metode Euler
    xpe(i)=t;
    ype(i)=xe;
    xe=xe+h*ve;
    ve=ve+h*ae;
    ae=-g/l*sin(xe);
    
    %metode Runge-Kutta
    ypr(i)=xr;
    j1=h*vr;
    k1=h*(-g/l*sin(xr));
    j2=h*(vr+k1/2);
    k2=h*(-g/l*sin(xr+j1/2));
    j3=h*(vr+k2/2);
    k3=h*(-g/l*sin(xr+j2/2));
    j4=h*(vr+k3);
    k4=h*(-g/l*sin(xr+j3));
    xr=xr+1/6*(j1+2*j2+2*j3+j4);
    vr=vr+1/6*(k1+2*k2+2*k3+k4);
    
    t=t+h;
end;
subplot(2,1,1);
plot(xpe,ype); grid on; title('Ayunan (metode Euler)'); 

subplot(2,1,2);
plot(xpe,ypr); grid on; title('Ayunan (metode Runge-Kutta)'); 