clear;
t=0;
tmak=5*pi;
h=0.1;
N=tmak/h;

tt=30/180*pi;
xe=tt; %posisi awal metode Euler
xr=tt; %posisi awal metode Runge-Kutta orde ke-4
v=0;
ve=v; %kecepatan sudut awal metode Euler
vr=v; %kecepatan sudut awal metode Runge-Kutta orde ke-4
g=9.8;
q=0.5;
l=2;
a=-g/l*sin(tt)-q*v;
ae=a; %percepatan sudut awal metode Euler
ar=a;  %percepatan sudut awal metode Runge-Kutta orde ke-4

%Metode Euler
for i=1:N
    %Metode Euler
    xpe(i)=t;
    ype(i)=xe;
    rpe(i)=ve;
    xe=xe+h*ve;
    ve=ve+h*ae;
    ae=-g/l*sin(xe)-q*ve;
    
    %metode Runge-Kutta
    ypr(i)=xr;
    rpr(i)=vr;
    j1=h*vr;
    k1=h*(-g/l*sin(xr)-q*vr);
    j2=h*(vr+k1/2);
    k2=h*(-g/l*sin(xr+j1/2)-q*(vr+k1/2));
    j3=h*(vr+k2/2);
    k3=h*(-g/l*sin(xr+j2/2)-q*(vr+k2/2));
    j4=h*(vr+k3);
    k4=h*(-g/l*sin(xr+j3)-q*(vr+k3));
    xr=xr+1/6*(j1+2*j2+2*j3+j4);
    vr=vr+1/6*(k1+2*k2+2*k3+k4);
    
    t=t+h;
end;
subplot(2,2,1);
plot(xpe,ype); grid on; title('Ayunan (metode Euler)'); xlabel('t'); ylabel('\theta'); 

subplot(2,2,2);
plot(xpe,ypr); grid on; title('Ayunan (metode Runge-Kutta)'); xlabel('t'); ylabel('\theta');

subplot(2,2,3);
plot(rpe,ypr); grid on; title('Ruang-fase (metode Euler)');  xlabel('v'); ylabel('\theta');

subplot(2,2,4);
plot(rpr,ypr); grid on; title('Ruang-fase (metode Runge-Kutta)'); xlabel('v'); ylabel('\theta');
