%gerak 1D
clear;

%ANALITIK
ta=0:0.1:5;
v0=2;
a=2;

xa=v0*ta+0.5*a*ta.^2;
va=v0+a*ta;

%NUMERIK
tn=0;
tmax=5;
h=0.1;
N=tmax/h;
xn=0;
vn=v0;
an=a;
xp(1)=tn;
yp(1)=xn;
for i=1:N
    xn=xn+h*vn;
    vn=vn+h*an;
    tn=tn+h;
    xp(i)=tn;
    yp(i)=xn;
end
plot(ta,xa,'-.+',xp,yp,'-o'); grid on;
title('Gerak 1D'); xlabel('waktu(t)'); ylabel('posisi(x)');
legend('analitik','numerik');